<?php

	$ini = parse_ini_file(dirname(__FILE__)."/connector.ini");
	if ( $ini['active'] ) {
		set_include_path(
    			get_include_path()
				. PATH_SEPARATOR
				. dirname(__FILE__).'/lib/'
			);


        	        require_once('IDS/Init.php');

                	$request = array(
                        	'REQUEST' => $_REQUEST,
                       		'GET' => $_GET,
                        	'POST' => $_POST,
                        	'COOKIE' => $_COOKIE
                	);

			$init = IDS_Init::init(dirname(__FILE__).'/lib/IDS/Config.ini.php');

			//Config and set up the logging
			require_once('IDS/Log/Composite.php');
			$compositeLog = new IDS_Log_Composite();
			$init->config['General']['base_path'] = dirname(__FILE__).'/lib/IDS/';
			if( $ini['filelogging']) {
				$init->config['Logging']['path'] = $ini['filelogging_path'];
				require_once('IDS/Log/File.php');
				$compositeLog->addLogger(IDS_Log_File::getInstance($init));
			}

			if( $ini['emaillogging']) {
                        	require_once('IDS/Log/Email.php');


			}

			if( $ini['dblogging'] ) {
				require_once('IDS/Log/Database.php');
				$compositeLog->addLogger(IDS_Log_Database::getInstance($init));

			
			}


                	$ids = new IDS_Monitor($request, $init);
                	$result = $ids->run();

			//oppps we got a bad guy
                	if (!$result->isEmpty()) {
				$impact = $result->getImpact();
				//do the logging
				$compositeLog->execute($result);

				if($ini['action'] == "rating") {
					$output = file_get_contents(dirname(__FILE__)."/asset/template.html");
					$impact = ($impact/3)*2;

					if( $impact > 50) {
						$insult = "Good day, dear Sir,<br /> that was an tremendous attack you did there. Im sure impressed.";
						$image = "40.jpg";
					} else if( $impact > 40) {
						$insult = "Yeah, that was quite an attack.";
						$image = "30.jpg";
					} else if($impact > 30)  {
						$insult = "Well, an performance but nothing more.";
						$image = "20.jpg";
					} else if($impact > 10) {
						$insult = "Oh jesus, that wasn't mutch was it?";
						$image = "10.jpg";
					} else {
						$insult = "Are you serious?<br />";
						$image = "0.jpg";
					}

					$image = $ini['symphony_url']."/extensions/phpids_connector/asset/".$image;
                        		$output = str_replace("INSULT", $insult, $output);
					$output = str_replace("IMG_SRC", $image, $output);
					print $output;
					exit();
				}

				if($ini['action'] == "redirect") {

					unset($_POST);
					unset($_GET);
					unset($_COOKIES);
					unset($_REQUEST);
					$_GET['symphony-page'] = $ini['redirect_url'];
				}
                	}
	}

?>
